Retrieve a milestone by ID
curl --request GET \
--url https://api.zivio.net/api/v3/milestones/{id} \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/milestones/{id}"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/milestones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "66",
"client_suggested": "true",
"title": "Title of Milestone",
"details": "Details of Milestone",
"rate": "1500.00",
"ccy": "GBP",
"due_on": "2023-11-07T05:31:56Z",
"interim_valuation_date": "2023-11-07T05:31:56Z",
"notes": "some notes relating to the milestone",
"comments": "some comments relating to the milestone",
"job_id": "2669",
"job_summary": "summary of miestone",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "open",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Bridges",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "<string>"
},
"level_1_approved_at": "2023-11-07T05:31:56Z",
"level_1_approved_by": {
"id": "258",
"first_name": "John",
"last_name": "Smith",
"email": "john_smith@example.com",
"org_name": "Smith Co Ltd",
"org_id": "200",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Bridges",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "<string>"
},
"children": [
"124"
],
"parents": [
"14"
],
"custom_fields": {
"key": "value"
}
}Milestones
Retrieve a milestone by ID
GET
/
milestones
/
{id}
Retrieve a milestone by ID
Path Parameters
Response
ok
Example:
"66"
Example:
"true"
Example:
"Title of Milestone"
Example:
"Details of Milestone"
Example:
"1500.00"
Example:
"GBP"
Example:
"some notes relating to the milestone"
Example:
"some comments relating to the milestone"
Example:
"2669"
Example:
"summary of miestone"
Example:
"open"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

